package test.rewolucja.energy.profile.implementation;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import test.rewolucja.energy.profile.PState;
import test.rewolucja.energy.profile.PStateType;


public class CPU_A_PowerProfile extends CPUPowerProfile{

	public CPU_A_PowerProfile() {
		//pState = getSupportedPStates().get(PStateType.P0);
	}
	
	public Map<PStateType, PState> getSupportedPStates(){
		return ModelA.getConfiguration();
	}
	
	private static class ModelA{
		private static final Map<PStateType, PState> pStates;
		static {
			Map<PStateType, PState> pStatesMap = new HashMap<PStateType, PState>();
			pStatesMap.put(PStateType.P0, new PState(PStateType.P0, 3000, 0, 14, 2000));
			pStatesMap.put(PStateType.P1, new PState(PStateType.P1, 2660, 0, 12, 1777));
			pStatesMap.put(PStateType.P2, new PState(PStateType.P2, 2330, 0, 10, 1553));
			pStatesMap.put(PStateType.P3, new PState(PStateType.P3, 2000, 0, 8, 1333));
			pStates = Collections.unmodifiableMap(pStatesMap);
		}
		
		public static Map<PStateType, PState> getConfiguration(){
			return pStates;
		}
	}

}
